#edit the following line to add the librarie's header files
FIND_PATH(
    kf_based_terrain_analysis_INCLUDE_DIRS
    NAMES kf_based_terrain_analysis.h structs_definitions.h time_supervisor.h observation_downsampler.h
    PATHS /usr/include/iridrivers /usr/local/include/iridrivers
)

FIND_LIBRARY(
    kf_based_terrain_analysis_LIBRARY
    NAMES kf_based_terrain_analysis
    PATHS /usr/lib /usr/local/lib /usr/local/lib/iridrivers) 

IF (kf_based_terrain_analysis_INCLUDE_DIRS AND 
    kf_based_terrain_analysis_LIBRARY)
        SET(kf_based_terrain_analysis_FOUND TRUE)
ENDIF (kf_based_terrain_analysis_INCLUDE_DIRS AND kf_based_terrain_analysis_LIBRARY)

IF (kf_based_terrain_analysis_FOUND)
   IF (NOT kf_based_terrain_analysis_FIND_QUIETLY)
      MESSAGE(STATUS "Found kf_based_terrain_analysis: ${kf_based_terrain_analysis_LIBRARY}")
   ENDIF (NOT kf_based_terrain_analysis_FIND_QUIETLY)
ELSE (kf_based_terrain_analysis_FOUND)
   IF (kf_based_terrain_analysis_FIND_REQUIRED)
      MESSAGE(FATAL_ERROR "Could not find kf_based_terrain_analysis")
   ENDIF (kf_based_terrain_analysis_FIND_REQUIRED)
ENDIF (kf_based_terrain_analysis_FOUND)

